Skip to content
WP EngineDocumentation

List secrets

GET
/installs/{install_id}/runtime_secrets
curl --request GET \
--url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/runtime_secrets \
--header 'Authorization: Basic <credentials>'

Lists the Runtime Secrets for the install.

Limitations & Warnings

  • Available for Autoscale accounts only.
install_id
required
string format: uuid

ID of install

Example
294deacc-d8b8-4005-82c4-0727ba8ddde0

Returns a RuntimeSecretList object.

Media typeapplication/json
object
secrets

List of Runtime Secret for the install

Array<object>
object
key

Key of the secret

string
name

Full resource path of the secret

string
create_time

Timestamp when the secret was created

string format: date-time
update_time

Timestamp when the secret was last updated

string format: date-time
Example
{
"secrets": [
{
"key": "any_identifiable_key",
"name": "environments/myinstall/secrets/c5671143-e46c-438a-a39e-9950124af986",
"create_time": "2026-09-03T08:43:55.944Z",
"update_time": "2026-09-03T09:22:57.112Z"
}
]
}

Bad Request

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid request.",
"errors": [
{
"resource": "Resource",
"field": "field_name",
"type": "invalid_value",
"code": "invalid",
"message": "The value is invalid."
}
]
}

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable